# This configuration file adds named push queues with individual parameters.
# See https://developers.google.com/appengine/docs/python/config/queue

queue:

 - name: default
   rate: 500/s
   max_concurrent_requests: 5000
   retry_parameters:
     task_retry_limit: 1


 # upload-processing:
 - name: histograms-queue
   target: upload-processing
   rate: 500/s
   max_concurrent_requests: 5000
   retry_parameters:
     task_retry_limit: 8
     min_backoff_seconds: 2

 - name: new-points-queue
   target: upload-processing
   rate: 20/s
   max_concurrent_requests: 100
   retry_parameters:
     task_retry_limit: 8
     min_backoff_seconds: 2

# AlertGroup
 - name: update-alert-group-queue
   rate: 20/s
   retry_parameters:
     task_retry_limit: 0

 # Pinpoint
 - name: job-queue
   rate: 10/s
   retry_parameters:
     task_retry_limit: 0


 # Miscellaneous:
 - name: auto-triage-queue
   rate: 5/s
   retry_parameters:
     task_retry_limit: 1

 - name: deprecate-tests-queue
   rate: 100/s
   max_concurrent_requests: 10
   retry_parameters:
     task_retry_limit: 0

 - name: edit-sheriffs-queue
   rate: 10/m
   retry_parameters:
     task_retry_limit: 1

 - name: migrate-queue
   rate: 5/s
   retry_parameters:
     task_retry_limit: 1

 - name: migrate-test-names-queue
   rate: 100/s
   max_concurrent_requests: 100
   retry_parameters:
     task_retry_limit: 1


